--[[----------------------------------------------------------------------------

WFDeviceInfoTest.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2014 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

	-- WF.core.os
local WFDeviceInfo = require 'WFDeviceInfo'
local WFPlatformInfo = require 'WFPlatformInfo'


--============================================================================--

local WFDeviceInfoTest = {}

--------------------------------------------------------------------------------

local function testIsNonEmptyString( test, funcName )

	local value = WFDeviceInfo[ funcName ]()
	test:log( funcName .. " = " .. tostring( value ) )
	
	assert( type( value ) == 'string' )
	assert( #value > 0 )
	
	return value

end

--------------------------------------------------------------------------------

function WFDeviceInfoTest.testDeviceName( test )

	testIsNonEmptyString( test, 'deviceName' )

end

--------------------------------------------------------------------------------

function WFDeviceInfoTest.testDeviceModel( test )

	testIsNonEmptyString( test, 'deviceModel' )

end

--------------------------------------------------------------------------------

if not WFPlatformInfo.isAndroid then

function WFDeviceInfoTest.testCpuType( test )

	testIsNonEmptyString( test, 'cpuType' )

end

end

--------------------------------------------------------------------------------

function WFDeviceInfoTest.testUserName( test )

	testIsNonEmptyString( test, 'userName' )

end

--------------------------------------------------------------------------------

function WFDeviceInfoTest.testMacAddress( test )

	testIsNonEmptyString( test, 'macAddress' )

end

--------------------------------------------------------------------------------

function WFDeviceInfoTest.testUniqueVendorIdentifier( test )

	testIsNonEmptyString( test, 'uniqueVendorIdentifier' )

end

--------------------------------------------------------------------------------

function WFDeviceInfoTest.testUniqueDeviceId( test )

	testIsNonEmptyString( test, 'uniqueDeviceId' )
	
end

--------------------------------------------------------------------------------

return WFDeviceInfoTest
